Skip to main content

Add Function to Collection (V2)

Public Preview

This operation adds a function to the schema of an existing collection.

POST/v2/vectordb/collections/add_function
Connection Endpoint

The base URL for this API is in the following format:

https://${CLUSTER_ENDPOINT}

📘Notes
  • You need to fill in ${CLUSTER_ENDPOINT} with that of your Zilliz Cloud cluster.
  • To get the endpoint, use the Describe Cluster V2 API to extract the values from the responses.
shell
export CLUSTER_ENDPOINT=""
Parameters
Authorizationstringheaderrequired

The authentication token should be an API key with appropriate privileges or a pair of colon-joined username and password, like username:password. If you are using a project endpoint, only a valid API key with sufficient permissions applies.

Example Value: Bearer {{TOKEN}}
Request Body
dbNamestring

The name of the database.

collectionNamestringrequired

The name of the collection.

functionobjectrequired

The function definition to add to the Collection.

descriptionstring

The description of the function to create.

inputFieldNamesarrayrequired

The names of the input fields for the function to create.

[]inputFieldNamesstring

The name of one scalar field used as an input to the function.

namestringrequired

The name of the function to create.

outputFieldNamesarrayrequired

The names of the output fields for the function to create.

[]outputFieldNamesstring

The name of one vector field produced as an output by the function.

paramsobject

Configuration parameters specific to the current function. Once the function type is set to BM25, no parameter is required. For applicable parameters to functions of TEXTEMBEDDING or RERANK, refer to Embedding Functions and Reranking Functions

typestringrequired

The type of the function to create.

bash
export TOKEN="db_admin:xxxxxxxxxxxxx"

curl --request POST \
--url "${CLUSTER_ENDPOINT}/v2/vectordb/collections/add_function" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json" \
-d '{
"collectionName": "my_collection",
"function": {
"name": "bm25_fn",
"type": "BM25",
"inputFieldNames": [
"text"
],
"outputFieldNames": [
"sparse"
]
}
}'
Responses

None

A generic response envelope returned by operations that carry no operation-specific result data. It still includes a data object.

codeinteger

Response code.

dataobject

The response payload object. Its contents depend on the operation that returns it.

Returns an error message.

codeinteger

Response code.

messagestring

Error message.

Successjson
{
"code": 0,
"data": {}
}